View Issue Details

IDProjectCategoryView StatusLast Update
0025217mantisbtuipublic2019-03-16 20:20
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025217: Enable selection of a range in checkboxes lists.
Description

In a list of checkboxes, like view_all_bug_page where there is an input in each row, for selecting issues to apply mass actions:
Provide a way to easily select a range of rows by shift-click over the checkboxes.

This behaviour is found on other UI's, for example: Gmail.

TagsNo tags attached.

Relationships

related to 0025215 new Shift-click don't work on checkboxes 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master e796e24e

2019-01-11 05:06:05

cproensa

Details Diff
Enable selection of a range in checkboxes lists

Enable selection of a range of checkboxes with shift-click.

Fixes: 0025217
Affected Issues
0025217
mod - js/common.js Diff File
mod - view_all_inc.php Diff File

Issue History

Date Modified Username Field Change
2019-01-13 19:15 cproensa New Issue
2019-01-13 19:21 cproensa Relationship added related to 0025215
2019-01-13 19:21 cproensa Assigned To => cproensa
2019-01-13 19:21 cproensa Status new => assigned
2019-03-12 04:59 cproensa Changeset attached => MantisBT master e796e24e
2019-03-12 04:59 cproensa Status assigned => resolved
2019-03-12 04:59 cproensa Resolution open => fixed
2019-03-12 04:59 cproensa Fixed in Version => 2.20.0
2019-03-12 09:23 dregad Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed